<html>
<head>
<title>OGRE: Ogre::Ray Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1Ray.html">Ray</a></div>
<h1>Ogre::Ray Class Reference</h1><!-- doxytag: class="Ogre::Ray" -->Representation of a ray in space, ie a line with an origin and direction.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreRay_8h-source.html">OgreRay.h</a>&gt;</code>
<p>

<p>
<a href="classOgre_1_1Ray-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Ray.html#e06168a69567ec6ede584cfa8ced9979">Ray</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Ray.html#7da08421bf78a27884c5a381cda60dc2">Ray</a> (const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;origin, const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;direction)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Ray.html#730a34d1255a51df2bb072c823acec67">setOrigin</a> (const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;origin)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sets the origin of the ray.  <a href="#730a34d1255a51df2bb072c823acec67"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Ray.html#e4e2561675e05fee24c867e3c9137c21">getOrigin</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the origin of the ray.  <a href="#e4e2561675e05fee24c867e3c9137c21"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Ray.html#c3082e7ed2efd58bb202043101d4abb2">setDirection</a> (const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;dir)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sets the direction of the ray.  <a href="#c3082e7ed2efd58bb202043101d4abb2"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Ray.html#2d16c049e57a9908e7200bcfc47fd7dc">getDirection</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the direction of the ray.  <a href="#2d16c049e57a9908e7200bcfc47fd7dc"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Ray.html#724bffb5c8bd6e79b35a48292075e6db">getPoint</a> (<a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> t) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the position of a point t units along the ray.  <a href="#724bffb5c8bd6e79b35a48292075e6db"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Ray.html#33d296a44a9a3813108e9abcaed7418d">operator *</a> (<a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> t) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the position of a point t units along the ray.  <a href="#33d296a44a9a3813108e9abcaed7418d"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">std::pair&lt; bool, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Ray.html#3471b68f559bd39e79e18f752b720f0f">intersects</a> (const <a class="el" href="classOgre_1_1Plane.html">Plane</a> &amp;p) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Tests whether this ray intersects the given plane.  <a href="#3471b68f559bd39e79e18f752b720f0f"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">std::pair&lt; bool, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Ray.html#dce8c31c39804bc7385e650cbe18fec3">intersects</a> (const <a class="el" href="classOgre_1_1PlaneBoundedVolume.html">PlaneBoundedVolume</a> &amp;p) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Tests whether this ray intersects the given plane bounded volume.  <a href="#dce8c31c39804bc7385e650cbe18fec3"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">std::pair&lt; bool, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Ray.html#200a9f8c30f388bd4b4c195f10d09720">intersects</a> (const <a class="el" href="classOgre_1_1Sphere.html">Sphere</a> &amp;s) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Tests whether this ray intersects the given sphere.  <a href="#200a9f8c30f388bd4b4c195f10d09720"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">std::pair&lt; bool, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Ray.html#c14cf4c98cc75e531a1fd43fab4eeeff">intersects</a> (const <a class="el" href="classOgre_1_1AxisAlignedBox.html">AxisAlignedBox</a> &amp;box) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Tests whether this ray intersects the given box.  <a href="#c14cf4c98cc75e531a1fd43fab4eeeff"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Ray.html#149235772702fe06ef8dc15a37ee6e05">mOrigin</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Ray.html#9b3de04f46afb4fb72353685a51d6ada">mDirection</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Representation of a ray in space, ie a line with an origin and direction. 
<p>

<p>Definition at line <a class="el" href="OgreRay_8h-source.html#l00041">41</a> of file <a class="el" href="OgreRay_8h-source.html">OgreRay.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="e06168a69567ec6ede584cfa8ced9979"></a><!-- doxytag: member="Ogre::Ray::Ray" ref="e06168a69567ec6ede584cfa8ced9979" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::Ray::Ray           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreRay_8h-source.html#l00047">47</a> of file <a class="el" href="OgreRay_8h-source.html">OgreRay.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="7da08421bf78a27884c5a381cda60dc2"></a><!-- doxytag: member="Ogre::Ray::Ray" ref="7da08421bf78a27884c5a381cda60dc2" args="(const Vector3 &amp;origin, const Vector3 &amp;direction)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::Ray::Ray           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>origin</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>direction</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreRay_8h-source.html#l00048">48</a> of file <a class="el" href="OgreRay_8h-source.html">OgreRay.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="730a34d1255a51df2bb072c823acec67"></a><!-- doxytag: member="Ogre::Ray::setOrigin" ref="730a34d1255a51df2bb072c823acec67" args="(const Vector3 &amp;origin)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Ray::setOrigin           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>origin</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Sets the origin of the ray. 
<p>

<p>Definition at line <a class="el" href="OgreRay_8h-source.html#l00052">52</a> of file <a class="el" href="OgreRay_8h-source.html">OgreRay.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="e4e2561675e05fee24c867e3c9137c21"></a><!-- doxytag: member="Ogre::Ray::getOrigin" ref="e4e2561675e05fee24c867e3c9137c21" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&amp; Ogre::Ray::getOrigin           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the origin of the ray. 
<p>

<p>Definition at line <a class="el" href="OgreRay_8h-source.html#l00054">54</a> of file <a class="el" href="OgreRay_8h-source.html">OgreRay.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="c3082e7ed2efd58bb202043101d4abb2"></a><!-- doxytag: member="Ogre::Ray::setDirection" ref="c3082e7ed2efd58bb202043101d4abb2" args="(const Vector3 &amp;dir)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Ray::setDirection           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>dir</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Sets the direction of the ray. 
<p>

<p>Definition at line <a class="el" href="OgreRay_8h-source.html#l00057">57</a> of file <a class="el" href="OgreRay_8h-source.html">OgreRay.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="2d16c049e57a9908e7200bcfc47fd7dc"></a><!-- doxytag: member="Ogre::Ray::getDirection" ref="2d16c049e57a9908e7200bcfc47fd7dc" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&amp; Ogre::Ray::getDirection           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the direction of the ray. 
<p>

<p>Definition at line <a class="el" href="OgreRay_8h-source.html#l00059">59</a> of file <a class="el" href="OgreRay_8h-source.html">OgreRay.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="724bffb5c8bd6e79b35a48292075e6db"></a><!-- doxytag: member="Ogre::Ray::getPoint" ref="724bffb5c8bd6e79b35a48292075e6db" args="(Real t) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> Ogre::Ray::getPoint           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>t</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the position of a point t units along the ray. 
<p>

<p>Definition at line <a class="el" href="OgreRay_8h-source.html#l00062">62</a> of file <a class="el" href="OgreRay_8h-source.html">OgreRay.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="33d296a44a9a3813108e9abcaed7418d"></a><!-- doxytag: member="Ogre::Ray::operator *" ref="33d296a44a9a3813108e9abcaed7418d" args="(Real t) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> Ogre::Ray::operator *           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>t</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the position of a point t units along the ray. 
<p>

<p>Definition at line <a class="el" href="OgreRay_8h-source.html#l00067">67</a> of file <a class="el" href="OgreRay_8h-source.html">OgreRay.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="3471b68f559bd39e79e18f752b720f0f"></a><!-- doxytag: member="Ogre::Ray::intersects" ref="3471b68f559bd39e79e18f752b720f0f" args="(const Plane &amp;p) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::pair&lt;bool, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&gt; Ogre::Ray::intersects           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Plane.html">Plane</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>p</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Tests whether this ray intersects the given plane. 
<p>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>A pair structure where the first element indicates whether an intersection occurs, and if true, the second element will indicate the distance along the ray at which it intersects. This can be converted to a point in space by calling <a class="el" href="classOgre_1_1Ray.html#724bffb5c8bd6e79b35a48292075e6db" title="Gets the position of a point t units along the ray.">getPoint()</a>. </dd></dl>

<p>Definition at line <a class="el" href="OgreRay_8h-source.html#l00077">77</a> of file <a class="el" href="OgreRay_8h-source.html">OgreRay.h</a>.</p>

<p>References <a class="el" href="classOgre_1_1Math.html#11664bfebecca73dbb42c0959d3d9ff7">Ogre::Math::intersects()</a>.</p>

</div>
</div><p>
<a class="anchor" name="dce8c31c39804bc7385e650cbe18fec3"></a><!-- doxytag: member="Ogre::Ray::intersects" ref="dce8c31c39804bc7385e650cbe18fec3" args="(const PlaneBoundedVolume &amp;p) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::pair&lt;bool, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&gt; Ogre::Ray::intersects           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1PlaneBoundedVolume.html">PlaneBoundedVolume</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>p</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Tests whether this ray intersects the given plane bounded volume. 
<p>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>A pair structure where the first element indicates whether an intersection occurs, and if true, the second element will indicate the distance along the ray at which it intersects. This can be converted to a point in space by calling <a class="el" href="classOgre_1_1Ray.html#724bffb5c8bd6e79b35a48292075e6db" title="Gets the position of a point t units along the ray.">getPoint()</a>. </dd></dl>

<p>Definition at line <a class="el" href="OgreRay_8h-source.html#l00087">87</a> of file <a class="el" href="OgreRay_8h-source.html">OgreRay.h</a>.</p>

<p>References <a class="el" href="classOgre_1_1Math.html#11664bfebecca73dbb42c0959d3d9ff7">Ogre::Math::intersects()</a>, <a class="el" href="OgrePlaneBoundedVolume_8h-source.html#l00049">Ogre::PlaneBoundedVolume::outside</a>, <a class="el" href="OgrePlaneBoundedVolume_8h-source.html#l00048">Ogre::PlaneBoundedVolume::planes</a>, and <a class="el" href="OgrePlane_8h-source.html#l00073">Ogre::Plane::POSITIVE_SIDE</a>.</p>

</div>
</div><p>
<a class="anchor" name="200a9f8c30f388bd4b4c195f10d09720"></a><!-- doxytag: member="Ogre::Ray::intersects" ref="200a9f8c30f388bd4b4c195f10d09720" args="(const Sphere &amp;s) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::pair&lt;bool, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&gt; Ogre::Ray::intersects           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Sphere.html">Sphere</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>s</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Tests whether this ray intersects the given sphere. 
<p>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>A pair structure where the first element indicates whether an intersection occurs, and if true, the second element will indicate the distance along the ray at which it intersects. This can be converted to a point in space by calling <a class="el" href="classOgre_1_1Ray.html#724bffb5c8bd6e79b35a48292075e6db" title="Gets the position of a point t units along the ray.">getPoint()</a>. </dd></dl>

<p>Definition at line <a class="el" href="OgreRay_8h-source.html#l00097">97</a> of file <a class="el" href="OgreRay_8h-source.html">OgreRay.h</a>.</p>

<p>References <a class="el" href="classOgre_1_1Math.html#11664bfebecca73dbb42c0959d3d9ff7">Ogre::Math::intersects()</a>.</p>

</div>
</div><p>
<a class="anchor" name="c14cf4c98cc75e531a1fd43fab4eeeff"></a><!-- doxytag: member="Ogre::Ray::intersects" ref="c14cf4c98cc75e531a1fd43fab4eeeff" args="(const AxisAlignedBox &amp;box) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::pair&lt;bool, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&gt; Ogre::Ray::intersects           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1AxisAlignedBox.html">AxisAlignedBox</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>box</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Tests whether this ray intersects the given box. 
<p>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>A pair structure where the first element indicates whether an intersection occurs, and if true, the second element will indicate the distance along the ray at which it intersects. This can be converted to a point in space by calling <a class="el" href="classOgre_1_1Ray.html#724bffb5c8bd6e79b35a48292075e6db" title="Gets the position of a point t units along the ray.">getPoint()</a>. </dd></dl>

<p>Definition at line <a class="el" href="OgreRay_8h-source.html#l00107">107</a> of file <a class="el" href="OgreRay_8h-source.html">OgreRay.h</a>.</p>

<p>References <a class="el" href="classOgre_1_1Math.html#11664bfebecca73dbb42c0959d3d9ff7">Ogre::Math::intersects()</a>.</p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="149235772702fe06ef8dc15a37ee6e05"></a><!-- doxytag: member="Ogre::Ray::mOrigin" ref="149235772702fe06ef8dc15a37ee6e05" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> <a class="el" href="classOgre_1_1Ray.html#149235772702fe06ef8dc15a37ee6e05">Ogre::Ray::mOrigin</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreRay_8h-source.html#l00044">44</a> of file <a class="el" href="OgreRay_8h-source.html">OgreRay.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="9b3de04f46afb4fb72353685a51d6ada"></a><!-- doxytag: member="Ogre::Ray::mDirection" ref="9b3de04f46afb4fb72353685a51d6ada" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> <a class="el" href="classOgre_1_1Ray.html#9b3de04f46afb4fb72353685a51d6ada">Ogre::Ray::mDirection</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreRay_8h-source.html#l00045">45</a> of file <a class="el" href="OgreRay_8h-source.html">OgreRay.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreRay_8h-source.html">OgreRay.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:51:58 2008
</p>
</body>
</html>
